Package Details: digikam-git v7.2.0.beta1.r500.g9541292038-3

Git Clone URL: https://aur.archlinux.org/digikam-git.git (read-only, click to copy)
Package Base: digikam-git
Description: An advanced digital photo management application
Upstream URL: https://www.digikam.org/
Licenses: GPL
Conflicts: digikam
Provides: digikam
Submitter: flamelab
Maintainer: None
Last Packager: ChrisLane
Votes: 25
Popularity: 0.75
First Submitted: 2011-02-06 10:54
Last Updated: 2021-02-09 09:17

Latest Comments

1 2 3 4 5 6 ... Next › Last »

danieltetraquark commented on 2021-01-06 23:24

@badelf did you uninstall libmagick6 before building? This was the issue for me (see one page back)

badelf commented on 2021-01-06 23:00

I tried this, which is now at beta2, and I get "in function DigikamImageMagickDImgPlugin::DImgImageMagickLoader::load(QString const&, Digikam::DImgLoaderObserver*)': dimgimagemagickloader.cpp:(.text+0x382): undefined reference toMagick::Image::columns() const' /usr/bin/ld: dimgimagemagickloader.cpp:(.text+0x3a8): undefined reference to `Magick::Image::rows() const' " What am I missing here?

ChrisLane commented on 2020-12-20 09:33

@maderios that sounds correct. The dependencies were taken from the package in Extra and since the software functions without 'qt5-imageformats', it should be an optional dependency.

maderios commented on 2020-12-20 06:59

'qt5-imageformats' is not optional dependency because digikam can't display XCF/gimp files without it.

ChrisLane commented on 2020-12-15 23:13

I have adopted the package and updated the source url.

vienna commented on 2020-07-16 13:31

Changing the source and removing libmagick6 was the trick to get it compiled. Takes ~4.5GB of empty space.

maderios commented on 2020-06-21 16:08

Right source now, it works for me:

source=('git+https://invent.kde.org/graphics/digikam.git')

malcolm commented on 2020-06-21 01:07

Please, update the url of the git repository!

SolarAquarion commented on 2020-06-19 14:20

Cloning into bare repository '/home/main-builder/pkgsrc/digikam'... fatal: remote error: Please use the https: protocol to connect to anongit

maderios commented on 2020-06-12 19:29

Build doesn't work because git repository changed: https://invent.kde.org/graphics/digikam.git